#ifndef SPECIAL_ATOMIC_ITEMS_H
#define SPECIAL_ATOMIC_ITEMS_H

#include <boost/archive/text_oarchive.hpp>
#include <boost/archive/text_iarchive.hpp>

class SpecialItem : public BooleanItem {
public:
  int d;

  SpecialItem(int _a, int _b, int _c, int _d) : BooleanItem(_a,_b,_c), d(_d) { }
  SpecialItem() : BooleanItem() {}

protected:
  friend class boost::serialization::access;

  template<class Archive>
  void serialize(Archive & ar, const unsigned int version); 
};

#endif
